var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import * as fs from "fs";
import * as path from "path";
import * as crypto from "crypto";
import { test as baseTest } from "@playwright/test";
const istanbulCLIOutput = path.join(process.cwd(), ".nyc_output");
export function generateUUID() {
    return crypto.randomBytes(16).toString("hex");
}
export const test = baseTest.extend({
    context: ({ context }, use) => __awaiter(void 0, void 0, void 0, function* () {
        yield context.addInitScript(() => window.addEventListener("beforeunload", () => window.collectIstanbulCoverage(JSON.stringify(window.__coverage__))));
        yield fs.promises.mkdir(istanbulCLIOutput, { recursive: true });
        yield context.exposeFunction("collectIstanbulCoverage", (coverageJSON) => {
            if (coverageJSON)
                fs.writeFileSync(path.join(istanbulCLIOutput, `playwright_coverage_${generateUUID()}.json`), coverageJSON);
        });
        yield use(context);
        for (const page of context.pages()) {
            yield page.evaluate(() => window.collectIstanbulCoverage(JSON.stringify(window.__coverage__)));
        }
    })
});
export const expect = test.expect;
//# sourceMappingURL=base-fixtures.js.map