import React from "react";
import { classNames, format } from "@microsoft/fast-web-utilities";
import { isDefault } from "../utilities/form";
import cssVariables from "design-to-code/dist/stylesheets/web-components/style/global.css-variables.css";
import defaultFontStyle from "design-to-code/dist/stylesheets/web-components/style/common.default-font.css";
import dtcClassName from "design-to-code/dist/esm/web-components/style/class-names";
import style from "./control.section-link.style.css";
// tree-shaking
cssVariables;
defaultFontStyle;
style;
/**
 * Form control definition
 */
function SectionLinkControl(props) {
    function handleUpdateSection(e) {
        props.onUpdateSection(props.dictionaryId, props.navigationConfigId);
    }
    return (React.createElement("a", { className: classNames("dtc-section-link-control", ["dtc-section-link-control__disabled", props.disabled], ["dtc-section-link-control__invalid", props.invalidMessage !== ""], [
            `dtc-section-link-control__default ${dtcClassName.commonDefaultFont}`,
            isDefault(props.value, props.default),
        ]), onClick: handleUpdateSection }, format(props.strings.sectionLinkEditLabel, props.label)));
}
export { SectionLinkControl };
export default SectionLinkControl;
//# sourceMappingURL=control.section-link.js.map