import React from "react";
import { uniqueId } from "lodash-es";
import cssVariables from "design-to-code/dist/stylesheets/web-components/style/global.css-variables.css";
import controlStyle from "design-to-code/dist/stylesheets/web-components/style/common.control.css";
import controlWrapperStyle from "design-to-code/dist/stylesheets/web-components/style/common.control-wrapper.css";
import selectSpanStyle from "design-to-code/dist/stylesheets/web-components/style/common.select-span.css";
import selectInputStyle from "design-to-code/dist/stylesheets/web-components/style/common.select-input.css";
import labelStyle from "design-to-code/dist/stylesheets/web-components/style/common.label.css";
import dtcClassName from "design-to-code/dist/esm/web-components/style/class-names";
// tree-shaking
cssVariables;
controlStyle;
controlWrapperStyle;
selectSpanStyle;
selectInputStyle;
labelStyle;
/**
 * Schema form component definition
 */
function SectionOneOfAnyOf(props) {
    const id = uniqueId();
    function getActiveIndex() {
        return typeof props.activeIndex === "number" ? props.activeIndex : -1;
    }
    function handleChange(e) {
        props.onUpdate(parseInt(e.target.value, 10));
    }
    return (React.createElement("div", { className: `dtc-section-one-of-any-of ${dtcClassName.commonControl} dtc-common-control-wrapper` },
        React.createElement("label", { htmlFor: id, className: `dtc-section-one-of-any-of_label ${dtcClassName.commonLabel}` }, props.label),
        React.createElement("span", { className: `dtc-section-one-of-any-of_select-span ${dtcClassName.commonSelectSpan}` },
            React.createElement("select", { className: `dtc-section-one-of-any-of_select ${dtcClassName.commonSelectInput}`, id: id, onChange: handleChange, value: getActiveIndex() }, props.children))));
}
export default SectionOneOfAnyOf;
//# sourceMappingURL=section.one-of-any-of.js.map