/** @jsx h */ /* Note: Set the JSX pragma to the wrapped version of createElement */
import h from "../../utilities/web-components/pragma"; /* Note: Import wrapped createElement. */
import { classNames } from "@microsoft/fast-web-utilities";
import * as DTCFile from "design-to-code/dist/esm/web-components/file/file.define.js";
// tree-shaking
DTCFile;
/**
 * @alpha
 * Custom form control definition
 */
function FileControl(props) {
    /**
     * Callback for input change
     */
    function onChange(e) {
        const newValue = e.target.fileReferences[0];
        props.onChange({ value: newValue });
    }
    return (h("div", { className: classNames("dtc-file-control", [
            "dtc-file-control__disabled",
            props.disabled,
        ]) },
        h("dtc-file", { accept: props.accept, events: {
                change: onChange,
            }, disabled: props.disabled, "control-button-stylesheet": props.stylesheets.controlButtonStylesheet, "common-input-stylesheet": props.stylesheets.commonInputStylesheet, "common-default-font-stylesheet": props.stylesheets.commonDefaultFontStylesheet },
            props.children,
            h("dtc-file-action-objecturl", { role: "fileaction", slot: "action" }))));
}
export { FileControl };
export default FileControl;
//# sourceMappingURL=control.file.js.map