export declare enum ControlType {
    select = "select",
    array = "array",
    linkedData = "linkedData",
    checkboxOrRadios = "checkboxOrRadios",
    numberField = "numberField",
    section = "section",
    sectionLink = "sectionLink",
    display = "display",
    button = "button",
    textarea = "textarea",
    date = "date",
    time = "time",
    dateTime = "date-time",
    email = "email",
    untyped = "untyped"
}
/**
 * This is the context in which the control exists,
 * "default" places the control inset to align with
 * actions that appear on the right, "fill" stretches
 * the control to be the full width of the available space
 */
export declare enum ControlContext {
    default = "default",
    fill = "fill"
}
export declare enum BadgeType {
    warning = "warning",
    info = "info",
    locked = "locked"
}
export declare enum ArrayAction {
    add = "add",
    remove = "remove"
}
export declare enum LinkedDataActionType {
    add = "add",
    remove = "remove",
    reorder = "reorder"
}
export interface OnChangeConfig extends ControlOnChangeConfig {
    /**
     * The lodash path location of the data
     */
    dataLocation: string;
    /**
     * The dictionaryId of the data
     */
    dictionaryId: string;
}
export interface ControlOnChangeConfig {
    /**
     * The new value for the supplied data location
     */
    value: any;
    /**
     * Whether this data is an array
     */
    isArray?: boolean;
    /**
     * Whether this data is a new linked data item
     */
    isLinkedData?: boolean;
    /**
     *
     */
    linkedDataAction?: LinkedDataActionType;
    /**
     * The index if this data is an array
     */
    index?: number;
}
